
Redmine - Defect #7890

Internal server error when referencing an issue without project in commit message

2011-03-16 14:36 - Max Khon

Status: Closed Start date: 2011-03-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 1.1.3   

Resolution: Fixed Affected version: 1.1.0

Description

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.1

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Edge Rails revision       unknown

Application root          /usr/share/redmine

Environment               production

Database adapter          postgresql

Database schema version   20110201111915

About your Redmine plugins

Redmine Opensearch plugin           0.1

Redcase                             1.0 alpha 0.144

Redmine Google Docs Plugin plugin   0.0.1

Redmine Graphs plugin               0.1.0

svn, version 1.6.12 (r955767)

production.log:

Processing RepositoriesController#show (for 192.168.0.19 at 2011-03-16 17:53:24) [GET]

Parameters: {"action"=>"show", "id"=>"support", "controller"=>"repositories"}

NoMethodError (undefined method `left' for nil:NilClass):

/usr/lib/ruby/1.8/active_record/associations/association_proxy.rb:217:in `send'

/usr/lib/ruby/1.8/active_record/associations/association_proxy.rb:217:in `method_missing'

app/models/changeset.rb:186:in `find_referenced_issue_by_id'

app/models/changeset.rb:125:in `scan_comment_for_issue_ids'

app/models/changeset.rb:124:in `each'

app/models/changeset.rb:124:in `scan_comment_for_issue_ids'

app/models/changeset.rb:120:in `scan'

app/models/changeset.rb:120:in `scan_comment_for_issue_ids'

app/models/changeset.rb:95:in `after_create'

/usr/lib/ruby/1.8/active_record/callbacks.rb:347:in `send'

/usr/lib/ruby/1.8/active_record/callbacks.rb:347:in `callback'

/usr/lib/ruby/1.8/active_record/callbacks.rb:267:in `create'

/usr/lib/ruby/1.8/active_record/base.rb:2874:in `create_or_update_without_callbacks'

/usr/lib/ruby/1.8/active_record/callbacks.rb:250:in `create_or_update'

/usr/lib/ruby/1.8/active_record/base.rb:2538:in `save_without_validation'

/usr/lib/ruby/1.8/active_record/validations.rb:1078:in `save_without_dirty'

/usr/lib/ruby/1.8/active_record/dirty.rb:79:in `save_without_transactions'

/usr/lib/ruby/1.8/active_record/transactions.rb:229:in `send'

/usr/lib/ruby/1.8/active_record/transactions.rb:229:in `with_transaction_returning_status'

/usr/lib/ruby/1.8/active_record/connection_adapters/abstract/database_statements.rb:136:in `transaction'

/usr/lib/ruby/1.8/active_record/transactions.rb:182:in `transaction'

/usr/lib/ruby/1.8/active_record/transactions.rb:228:in `with_transaction_returning_status'

/usr/lib/ruby/1.8/active_record/transactions.rb:196:in `save'
/usr/lib/ruby/1.8/active_record/transactions.rb:208:in `rollback_active_record_state!'

/usr/lib/ruby/1.8/active_record/transactions.rb:196:in `save'

/usr/lib/ruby/1.8/active_record/base.rb:723:in `create'

app/models/repository/subversion.rb:59:in `fetch_changesets'

/usr/lib/ruby/1.8/active_record/connection_adapters/abstract/database_statements.rb:136:in `transaction'

/usr/lib/ruby/1.8/active_record/transactions.rb:182:in `transaction'

/usr/lib/ruby/1.8/active_record/transactions.rb:188:in `transaction'

app/models/repository/subversion.rb:58:in `fetch_changesets'

app/models/repository/subversion.rb:57:in `reverse_each'

app/models/repository/subversion.rb:57:in `fetch_changesets'

/usr/lib/ruby/1.8/active_record/associations/association_proxy.rb:217:in `send'

/usr/lib/ruby/1.8/active_record/associations/association_proxy.rb:217:in `method_missing'

app/controllers/repositories_controller.rb:77:in `show'

/usr/lib/ruby/1.8/action_controller/base.rb:1331:in `send'

/usr/lib/ruby/1.8/action_controller/base.rb:1331:in `perform_action_without_filters'

/usr/lib/ruby/1.8/action_controller/filters.rb:617:in `call_filters'

/usr/lib/ruby/1.8/action_controller/filters.rb:610:in `perform_action_without_benchmark'

/usr/lib/ruby/1.8/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

/usr/lib/ruby/1.8/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

/usr/lib/ruby/1.8/action_controller/rescue.rb:160:in `perform_action_without_flash'

/usr/lib/ruby/1.8/action_controller/flash.rb:146:in `perform_action'

/usr/lib/ruby/1.8/action_controller/base.rb:532:in `send'

/usr/lib/ruby/1.8/action_controller/base.rb:532:in `process_without_filters'

/usr/lib/ruby/1.8/action_controller/filters.rb:606:in `process'

/usr/lib/ruby/1.8/action_controller/base.rb:391:in `process'

/usr/lib/ruby/1.8/action_controller/base.rb:386:in `call'

/usr/lib/ruby/1.8/action_controller/routing/route_set.rb:437:in `call'

/usr/lib/ruby/1.8/action_controller/dispatcher.rb:87:in `dispatch'

/usr/lib/ruby/1.8/action_controller/dispatcher.rb:121:in `_call'

/usr/lib/ruby/1.8/action_controller/dispatcher.rb:130:in `build_middleware_stack'

/usr/lib/ruby/1.8/active_record/query_cache.rb:29:in `call'

/usr/lib/ruby/1.8/active_record/query_cache.rb:29:in `call'

/usr/lib/ruby/1.8/active_record/connection_adapters/abstract/query_cache.rb:34:in `cache'

/usr/lib/ruby/1.8/active_record/query_cache.rb:9:in `cache'

/usr/lib/ruby/1.8/active_record/query_cache.rb:28:in `call'

/usr/lib/ruby/1.8/active_record/connection_adapters/abstract/connection_pool.rb:361:in `call'

/usr/lib/ruby/1.8/action_controller/string_coercion.rb:25:in `call'

/usr/lib/ruby/1.8/rack/head.rb:9:in `call'

/usr/lib/ruby/1.8/rack/methodoverride.rb:24:in `call'

/usr/lib/ruby/1.8/action_controller/params_parser.rb:15:in `call'

/usr/lib/ruby/1.8/action_controller/session/cookie_store.rb:93:in `call'

/usr/lib/ruby/1.8/action_controller/failsafe.rb:26:in `call'

/usr/lib/ruby/1.8/rack/lock.rb:11:in `call'

/usr/lib/ruby/1.8/rack/lock.rb:11:in `synchronize'

/usr/lib/ruby/1.8/rack/lock.rb:11:in `call'

/usr/lib/ruby/1.8/action_controller/dispatcher.rb:106:in `call'

/usr/lib/ruby/1.8/phusion_passenger/rack/request_handler.rb:92:in `process_request'

/usr/lib/ruby/1.8/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:418:in `start_request_handler'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:418:in `start_request_handler'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:358:in `handle_spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/utils.rb:184:in `safe_fork'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:354:in `handle_spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:163:in `start'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:213:in `start'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'
/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

/usr/lib/phusion_passenger/passenger-spawn-server:61

Rendering /usr/share/redmine/public/500.html (500 Internal Server Error)

The symptoms are the same as described here: http://www.redmine.org/boards/2/topics/16046

The patch referenced in that post fixes the problem for me.

Related issues:

Has duplicate Redmine - Defect #6683: Error 500 when viewing one of the repos... Closed 2010-10-15

Associated revisions

Revision 5157 - 2011-03-16 21:52 - Jean-Philippe Lang

Prevent error when referencing an issue without project (#7890).

History

#1 - 2011-03-16 15:05 - Etienne Massip

Did you run your migrations ?

#2 - 2011-03-16 15:12 - Etienne Massip

- Category set to SCM

Forget about my comment.

#3 - 2011-03-16 15:13 - Etienne Massip

- Target version set to Candidate for next minor release

#4 - 2011-03-16 21:53 - Jean-Philippe Lang

- Subject changed from Internal server error on certain svn repositories to Internal server error when referencing an issue without project in commit

message

- Status changed from New to Resolved

- Target version changed from Candidate for next minor release to 1.1.3

- Resolution set to Fixed

Fix committed in r5157. Thanks.

#5 - 2011-04-29 09:10 - Jean-Philippe Lang

- Status changed from Resolved to Closed
